#!/bin/sh

plugins=`ls *Plugin.c`

echo "
EXTRA_LIBS=-lGeoIP -lresolv -ldl -lpcap -lpthread #-lhiredis 
PLUGIN_VERSION=1.0
CFLAGS=-g -O2
INC=-I. -I/usr/local/include/nprobe -I/usr/local/include/nprobe/ndpi/ -I/usr/local/include/nprobe/LuaJIT
LIBS=-L/usr/local/lib
"

####################################

ALL="all: "
for name in $plugins
do
    plugin=$(echo $name | cut -d '.' -f 1)
    ALL="$ALL $plugin"
done

echo $ALL

####################################

for name in $plugins
do
    plugin=$(echo $name | cut -d '.' -f 1)
    echo "$plugin:"

    echo "	/bin/bash libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H \$(INC) -MT lib$plugin_la-$plugin.lo -MD -MP -c -o lib$plugin_la-$plugin.lo `test -f '$plugin.c' || echo './'`$plugin.c"
    echo "	/bin/bash libtool --tag=CC   --mode=link gcc  -shared -release \$(PLUGIN_VERSION) -bundle -flat_namespace -undefined suppress -o lib$plugin.la -rpath /usr/local/lib/nprobe/plugins lib$plugin_la-$plugin.lo  \$(LIBS)"
    echo ""
done

####################################

echo "install: all"
echo "	cp .libs/lib*-\$(PLUGIN_VERSION).so /usr/local/lib/nprobe/plugins"

####################################

echo "clean:"
echo "	/bin/rm -rf *.la *.lo lib-* .libs *~ #*"
